libghc-magic-dev_1.0.8-12_amd64.deb


Advertisement

Description

libghc-magic-dev - File type determination library for Haskell

Distribution: Debian 8 (Jessie)
Repository: Debian Main amd64
Package name: libghc-magic-dev
Package version: 1.0.8
Package release: 12
Package architecture: amd64
Package type: deb
Installed size: 201 B
Download size: 45.00 KB
Official Mirror: ftp.br.debian.org
This package provides a Haskell interface to the C libmagic library. With it, you can determine the type of a file by examining its contents rather than its name. The Haskell interface provides a full-featured binding. This package provides a library for the Haskell programming language. See http://www.haskell.org/ for more information on Haskell.

Alternatives

Provides

  • libghc-magic-dev-1.0.8-0172c

    Download

    Source package: magic-haskell

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install libghc-magic-dev deb package:
      # sudo apt-get install libghc-magic-dev

    Files

    • /usr/lib/haskell-packages/ghc/lib/magic-1.0.8/ghc-7.6.3/HSmagic-1.0.8.o
    • /usr/lib/haskell-packages/ghc/lib/magic-1.0.8/ghc-7.6.3/Magic.hi
    • /usr/lib/haskell-packages/ghc/lib/magic-1.0.8/ghc-7.6.3/libHSmagic-1.0.8.a
    • /usr/lib/haskell-packages/ghc/lib/magic-1.0.8/ghc-7.6.3/Magic/Data.hi
    • /usr/lib/haskell-packages/ghc/lib/magic-1.0.8/ghc-7.6.3/Magic/Init.hi
    • /usr/lib/haskell-packages/ghc/lib/magic-1.0.8/ghc-7.6.3/Magic/Operations.hi
    • /usr/lib/haskell-packages/ghc/lib/magic-1.0.8/ghc-7.6.3/Magic/Types.hi
    • /usr/lib/haskell-packages/ghc/lib/magic-1.0.8/ghc-7.6.3/Magic/TypesLL.hi
    • /usr/lib/haskell-packages/ghc/lib/magic-1.0.8/ghc-7.6.3/Magic/Utils.hi
    • /usr/share/doc/libghc-magic-dev/buildinfo_amd64.gz
    • /usr/share/doc/libghc-magic-dev/changelog.Debian.gz
    • /usr/share/doc/libghc-magic-dev/copyright
    • /var/lib/ghc/package.conf.d/magic-1.0.8.conf

    Changelog

    2013-05-25 - Joachim Breitner <nomeata@debian.org> magic-haskell (1.0.8-12) unstable; urgency=low * Move Haskell blurb to the end of the description, reduces the impact of #708703

    2013-05-24 - Joachim Breitner <nomeata@debian.org> magic-haskell (1.0.8-11) unstable; urgency=low * Convert to dpkg 3.0 (quilt) format

    2013-05-24 - Joachim Breitner <nomeata@debian.org> magic-haskell (1.0.8-10) unstable; urgency=low * Enable compat level 9 * Bump standards version to 3.9.4 * Use substvars for Haskell description blurbs

    2013-01-04 - Joachim Breitner <nomeata@debian.org> magic-haskell (1.0.8-9) experimental; urgency=low * Depend on haskell-devscripts 0.8.13 to ensure this package is built against experimental * Change Vcs headers to Darcs * Added watch file

    2012-02-23 - Clint Adams <clint@debian.org> magic-haskell (1.0.8-8) unstable; urgency=low [ Joachim Breitner ] * Let libghc-magic-dev depend on libmagic-dev. [ Clint Adams ] * Bump to Standards-Version 3.9.3.

    2011-05-23 - Iain Lane <laney@debian.org> magic-haskell (1.0.8-7) unstable; urgency=low * [af9511b] debian/control: ghc6 → ghc for the GHC 7 transition * [0b97d82] d/control: Standards-Version → 3.9.2, no changes required

    2010-08-07 - Marco Túlio Gontijo e Silva <marcot@debian.org> magic-haskell (1.0.8-6) unstable; urgency=low * Reincorporate 1.0.8-4. * debian/control: Make libghc6-magic-doc conflict with magic-haskell- doc (<< 1.0.8-4). * control: Bump Standards-Version to 3.9.0, no changes required.

    2010-08-06 - Marco Túlio Gontijo e Silva <marcot@debian.org> magic-haskell (1.0.8-5) unstable; urgency=low * debian/control: Make libghc6-magic-doc conflict with magic-haskell- doc (<< 1.0.8-4). * control: Bump Standards-Version to 3.9.0, no changes required.

    2010-03-14 - Marco Túlio Gontijo e Silva <marcot@debian.org> magic-haskell (1.0.8-4) unstable; urgency=low * debian/control: libghc6-magic-doc: Add ${haskell:Recommends} and Suggests variables. * debian/control: libghc6-magic-doc: Replaces, Provides and Conflicts with magic-haskell-doc.

    2010-03-11 - Marco Túlio Gontijo e Silva <marcot@debian.org> magic-haskell (1.0.8-3) unstable; urgency=low [ Iain Lane ] * debian/control: + Disable hugs library as the DHG no longer supports Hugs, and it does not work with the new Cabal. (Closes: #571360) + Use haskell substvars and depend on haskell-devscripts >= 0.7 for provides support + Clean up build-deps + Standards-Version bump to 3.8.4, no changes required [ Marco Túlio Gontijo e Silva ] * debian/control: Include Haskell preface in Description:. * debian/control: Remove mention to libhugs-magic. * debian/control: Include -prof package. * Rename -doc package. * debian/control: Include Build-Depends-Indep: in ghc6-doc.

    Advertisement
    Advertisement